#loader{
    position: fixed;
    inset: 0;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999999;
    transition: all .6s ease;
}
/* Area de la imagen */
.loader-box{
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}
/* Dimensiones del logo */
.loader-logo{
    width: 140px;
    animation: float 2s ease-in-out infinite;
}
/* Título */
.loader-box h2{
    color: var(--primary-color);
    margin-top: 10px;
    font-size: 32px;
    font-weight: 700;
    letter-spacing: 1px;
}

/* Barra */
.loader-bar{
    width: 220px;
    height: 6px;
    background:#e5e7eb;/* rgba(255,255,255,.15)*/
    border-radius: 20px;
    overflow: hidden;
    margin-top: 20px;
}

/* Progreso porcentaje */
.loader-bar span{
    display:block;
    width:0%;
    height:100%;
    border-radius:20px;
    background:linear-gradient(
        90deg,
        #ff7b00,
        #ffb347
    );
    transition: width .25s ease;
}
/* Texto descriptivo en referencia al porcentaje */
#loader-text{
    color: var(--primary-color);
    margin: 12px 0 0 0;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
}
@keyframes float{
    50%{
        transform: translateY(-8px);
    }
}

/* Ocultar loader */
#loader.hidden{
    opacity: 0;
    visibility: hidden;
}
@media (max-width:768px) {
    .loader-logo{
        width: 100px;
    }
    .loader-box h2{
        font-size: 24px;
    }
    .loader-bar{
        width: 180px;
    }
    #loader-text{
        font-size: 16px;
    }
}